## advi 2.0.0

=== Makefile ===
MAINDIRS = tex doc 

ALLDIRS = $(MAINDIRS) test examples

SRC = src/Makefile.config src/advi-latex-files src/main.exe

DUNE = dune
DUNEROOT = --root=.

.PHONY: default 
default: $(SRC)
	for dir in $(MAINDIRS); do make -C $$dir; done

.PHONY: help
help:
	@echo 'Usage:'
	@echo '    make'
	@echo '    make install'
	@echo '    make [ uninstall | clean ]'
	@echo '    make [ doc.manual | install.manual ]'
	@echo '    make [ advi | doc | test | examples | all ]'


.PHONY: advi
advi: src/main.exe

src/%: 
	$(DUNE) build $(DUNEROOT) $@

.PHONY: test examples all
test:
	make -C test

examples:
	make -C examples

.PHONY: all
all: default test examples

CONFIG = _build/src/Makefile.config

$(CONFIG): src/Makefile.config

.PHONY: doc doc.manual
doc: $(CONFIG)
	make -C doc

doc.manual: $(CONFIG) 
	make -C doc manual

INSTALL = _build/default/advi.install

$(INSTALL):
	$(DUNE) build $(DUNEROOT) @install

.PHONY: install install.manual uinstall
install: default $(INSTALL)
	$(DUNE) install $(DUNEROOT) --display=short
	for dir in $(MAINDIRS); do make -C $$dir install; done
	@echo 
	@echo 'WARNING:'
	@echo 
	@echo "  You still need to run the command 'advi-latex-files'"
	@echo "  to install some LaTeX files needed for advanced features."
	@echo

install.manual: 
	make -C doc $@

uninstall: $(INSTALL)
	for dir in $(MAINDIRS); do make -C $$dir uninstall; done
	$(DUNE) uninstall $(DUNEROOT)

.PHONY: clean 
clean: 
	for dir in $(ALLDIRS); do make -C $$dir clean; done
	$(DUNE) clean $(DUNEROOT)

=== bugs/Makefile ===
#*********************************************************************#
#                                                                     #
#                             Active-DVI                              #
#                                                                     #
#                   Projet Cristal, INRIA Rocquencourt                #
#                                                                     #
#  Copyright 2004 Institut National de Recherche en Informatique et   #
#  en Automatique.  All rights reserved.  This file is distributed    #
#  under the terms of the GNU Lesser General Public License.          #
#                                                                     #
#  Jun Furuse, Didier Rmy and Pierre Weis.                           #
#  Contributions by Roberto Di Cosmo, Didier Le Botlan,               #
#  Xavier Leroy, and Alan Schmitt.                                    #
#                                                                     #
#  Based on Mldvi by Alexandre Miquel.                                #
#*********************************************************************#

# $Id Exp $

# include ../Makefile.config
LATEX=latex

# binaries
ADVI	=../advi

# flags
TEX_ENV	= TEXINPUTS=.:../tex:$$TEXINPUTS
ADVI_ENV= TEXPSHEADERS=../tex:

# sources
TEXFILES= Zeitoun.tex
DVIFILES= $(TEXFILES:%.tex=%.dvi)

all: $(DVIFILES)

$(DVIFILES): bar.eps ../tex/advi.sty ../tex/advi-annot.sty

.SUFFIXES: .tex .sty .dvi .ps .eps .advi

.dvi.advi:
	$(ADVI_ENV) $(ADVI) $<

.tex.dvi:
	$(TEX_ENV) $(LATEX) $<

bar.eps: ../tex/bar.eps
	cp -p ../tex/bar.eps .

clean::
	$(RM) a.out *.toc *.aux *.log *.dvi *~ 
	$(RM) .advi/*

=== doc/Makefile ===
CONFIG = ../_build/default/src/Makefile.config

TEXINPUTS = .:../tex/:

DEPS = $(shell ls *.tex ../tex/*.hva ../tex/*.eps *.sty *.hva) 

OUTDIR = _build

LATEX = TEXINPUTS=$(TEXINPUTS) latexmk -outdir=$(OUTDIR)

MANFILE = advi.1
SPLASHFILES = splash.dvi scratch_draw_splash.dvi scratch_write_splash.dvi

DISTFILES = $(MANFILE) $(SPLASHFILES)
DISTBUILD = $(patsubst %, $(OUTDIR)/%, $(DISTFILES))

MANUALFILES = advi.pdf advi_remote.pdf advi.html advixxx.html 
MANUALBUILD = $(patsubst %, $(OUTDIR)/%, $(MANUALFILES))


.PHONY: all manual distbuild distclean promote \
	install install.manual uninstall clean

all: $(DISTFILES)

manual: $(MANUALBUILD)

$(OUTDIR)/.exists:
	mkdir -p $(OUTDIR)
	touch $(@)


$(CONFIG): 
	make -C .. src/Makefile.config

include $(CONFIG)

$(OUTDIR)/%.dvi: %.tex $(DEPS)
	$(LATEX) -dvi $<

$(OUTDIR)/%.pdf: %.tex $(DEPS)
	$(LATEX) -ps $<
	ps2pdf $(OUTDIR)/advi.ps $@

$(OUTDIR)/advi.html: advi.tex manual.hva $(DEPS) $(OUTDIR)/.exists
	hevea -entities -I . -I ../tex -I $(OUTDIR) -o $@ -fix manual.hva $<

$(OUTDIR)/advixxx.html: $(OUTDIR)/advi.html 
	cd $(OUTDIR) && hacha -o advixxx.html advi.html

$(OUTDIR)/%.md: %.in.md $(OUTDIR)/.exists
	LC_CTYPE=C sed -e 's,@@VERSION@@,$(package_version),' $< > $@ 

$(OUTDIR)/advi.1: $(OUTDIR)/advi.md  $(OUTDIR)/.exists
	pandoc --standalone --from markdown $< --to man --output $@

distbuild: $(DISTBUILD)

distclean:
	rm -f $(DISTFILES)

promote: $(DISTBUILD)
	for i in $(DISTFILES); do ln -f $(OUTDIR)/$$i .; done

clean:  
	rm -rf _build


install: $(MANFILE) $(SPLASHFILES)
	install -d $(advi_mandir)/man1/ $(advi_docdir)/
	install $(MANFILE) $(advi_mandir)/man1/
	install $(SPLASHFILES) $(advi_docdir)/

MANUALEXTRA = advi.css contents_motif.svg next_motif.svg previous_motif.svg

install.manual: $(MANUALBUILD)
	install -d $(advi_docdir)/
	for i in $(MANUALFILES) $(MANUALEXTRA); \
	  do install $(OUTDIR)/$$i $(advi_docdir)/; done
	install $(OUTDIR)/advi0??.html $(advi_docdir)/
	install $(OUTDIR)/advixxx.html $(advi_docdir)/index.html

uninstall: 
	rm -vf $(advi_mandir)/man1/advi.1
	rm -vf $(advi_docdir)/index.html 
	rm -vf $(advi_docdir)/advi???.html 
	for i in $(SPLASHFILES) $(MANUALFILES) $(MANUALEXTRA); \
	  do rm -vf $(advi_docdir)/$$i; done

RSYNC = rsync --chmod=u+w,o-w,o+rX 

include ../web/Makefile.website

website: $(MANUALBUILD)
	$(RSYNC) $(MANUALBUILD) $(patsubst %, $(OUTDIR)/%, $(MANIALEXTRA)) $(WEBSITEDIR)

=== examples/Makefile ===
#*********************************************************************#
#                                                                     #
#                             Active-DVI                              #
#                                                                     #
#                   Projet Cristal, INRIA Rocquencourt                #
#                                                                     #
#  Copyright 2003 Institut National de Recherche en Informatique et   #
#  en Automatique.  All rights reserved.  This file is distributed    #
#  under the terms of the GNU Lesser General Public License.          #
#                                                                     #
#  Jun Furuse, Didier Rmy and Pierre Weis.                           #
#  Contributions by Roberto Di Cosmo, Didier Le Botlan,               #
#  Xavier Leroy, and Alan Schmitt.                                    #
#                                                                     #
# Pierre Weis                                                         #
#                                                                     #
#*********************************************************************#

# The Makefile for the various example subdirectories.

# $Id$


EXPORTFILES = $(shell find -name CVS -prune -o -name '[^.]*' -print)


SUBDIRS=basics prosper seminar slitex


all:
	for i in $(SUBDIRS); do \
	 echo $$i; \
	 cd $$i; $(MAKE) all; cd ..; \
	done
	@echo '*** All examples have been successfully compiled'
	@echo '*** Run "make show" to view the examples'

show:
	for i in $(SUBDIRS); do \
	 echo $$i; \
	 cd $$i; $(MAKE) show; cd ..; \
	done

distdir:
	rm -rf distexamples
	cvs export -D today -d distexamples advi/examples
	find distexamples -name .cvsignore  -exec rm '{}' ';'
	rmdir $(distdir)
	mv distexamples/examples $(distdir) 
	rmdir distexamples

test:
	for i in $(SUBDIRS); do \
	 echo $$i; \
	 cd $$i; $(MAKE) all; cd ..; \
	done

clean:
	for i in $(SUBDIRS); do \
	 cd $$i; $(MAKE) clean; cd ..; \
	done

=== src/Makefile ===
FILES = Makefile.config advi-latex-files main.exe

DUNE = dune
DUNEROOT = --root=..

all: $(FILES)

$(FILES):
	$(DUNE) build $(DUNEROOT) $@

install:
	$(DUNE) build $(DUNEROOT) @install
	$(DUNE) install $(DUNEROOT)  --display=short

=== test/Makefile ===
#*********************************************************************#
#                                                                     #
#                             Active-DVI                              #
#*********************************************************************#
#                                                                     #
#                   Projet Cristal, INRIA Rocquencourt                #
#                                                                     #
#  Copyright 2002 Institut National de Recherche en Informatique et   #
#  en Automatique.  All rights reserved.  This file is distributed    #
#  under the terms of the GNU Lesser General Public License.          #
#                                                                     #
#  Jun Furuse, Didier Rmy and Pierre Weis.                           #
#  Contributions by Roberto Di Cosmo, Didier Le Botlan,               #
#  Xavier Leroy, and Alan Schmitt.                                    #
#                                                                     #
#  Based on Mldvi by Alexandre Miquel.                                #
#*********************************************************************#

# $Id$

# To view the demo, use ../advi demo.dvi
# include ../Makefile.config

# OUTDIR = ../_build/default/test/
OUTDIR = _build/

# binaries
ADVI = ../advi

# flags
TEXINPUTS = .:../tex:

LATEX = TEXINPUTS=$(TEXINPUTS) latexmk -output-directory=$(OUTDIR)
PLATEX = TEXINPUTS=$(TEXINPUTS) latexmk -latex=platex -output-directory=$(OUTDIR)


# sources
TEXFILES= demo.tex demo2.tex trigo_source.tex \
	  trans.tex trans2.tex trans3.tex background.tex \
	  color.tex demo_raw.tex macros.tex test_events.tex

DVIFILES= $(TEXFILES:%.tex=%.dvi)

# Those example do not compile anymore (not maintained)
# include Makefile.more

all :: $(DVIFILES) $(MLPROG)


$(DVIFILES): bar.eps demo.sty ../tex/advi.sty ../tex/advi-annot.sty

%.advi: %.dvi 
	$(ADVI) $<

%.dvi: %.tex bar.eps
	$(LATEX) $<
	ln -f $(OUTDIR)/$@ .

jpdemo.dvi: jpdemo.tex
	$(PLATEX) $<
	ln -f $(OUTDIR)/$@ .

bar.eps: ../tex/bar.eps
	cp -p ../tex/bar.eps .

clean::
	rm -rf _build
	rm -f $(DVIFILES)

install:

uninstall:

.SUFFIXES: .tex .sty .dvi .ps .eps .advi

=== tex/Makefile ===
CONFIG = ../_build/default/src/Makefile.config

advi_latexdir = $(advi_texdir)/tex/latex

SOURCES = \
  advi-annot.sty \
  advi-graphicx.sty \
  advi-slides.sty \
  advi.hva \
  advi.sty \
  argv.sty \
  bubble.sty \
  pgfsys-dvips.def \
  superpose.sty \
  xwindows-colors.sty \
  caml.eps \
  bar.eps \
  advilogo.eps

OLDSOURCES =  advi.pro

all: 

$(CONFIG):
	(cd ../src && dune build Makefile.config)

include $(CONFIG)

clean:  

install: $(SOURCES) 
	install -d $(advi_latexdir)
	install  $(SOURCES) $(advi_latexdir)

uninstall: 
	for i in $(SOURCES); do rm -vf $(advi_latexdir)/$$i; done
	if test -d $(advi_latexdir); then rmdir $(advi_latexdir); fi

=== web/Makefile ===
CONFIG = ../_build/default/src/Makefile.config

HTM = $(shell ls *.htm)

DEPS = $(TEX) $(STY) $(EPS)

OUTDIR = _build
 
WEBFILES = $(patsubst %, $(OUTDIR)/%l, $(HTM))

include Makefile.website


.PHONY: default website clean

default: $(WEBFILES) pngs/.small

pngs/.small:
	make -C pngs 


$(OUTDIR)/.exists:
	mkdir -p $(OUTDIR)
	touch $(@)

$(CONFIG): 
	make -C .. src/Makefile.config

include $(CONFIG)

$(OUTDIR)/%.html: %.htm $(OUTDIR)/.exists
	LC_CTYPE=C sed -e 's,@@VERSION@@,$(package_version),' $< > $@ 


clean:  
	rm -rf _build
	make -C pngs clean

RSYNC = rsync --chmod=u+w,o-w,o+rX 

website: default
	$(RSYNC)  $(ROOTFILES) \
	          _build/*.html \
                  style.css \
	          *.gif \
	          *.jpg \
            $(WEBSITEDIR)
	$(RSYNC) -a pngs $(WEBSITEDIR)

=== examples/basics/Makefile ===
#*********************************************************************#
#                                                                     #
#                             Active-DVI                              #
#                                                                     #
#                   Projet Cristal, INRIA Rocquencourt                #
#                                                                     #
#  Copyright 2003 Institut National de Recherche en Informatique et   #
#  en Automatique.  All rights reserved.  This file is distributed    #
#  under the terms of the GNU Lesser General Public License.          #
#                                                                     #
#  Jun Furuse, Didier Rmy and Pierre Weis.                           #
#  Contributions by Roberto Di Cosmo, Didier Le Botlan,               #
#  Xavier Leroy, and Alan Schmitt.                                    #
#                                                                     #
# Pierre Weis                                                         #
#                                                                     #
#*********************************************************************#

# The Makefile for the basic examples and its subdirectories.

# $Id$

# To view the demos, use ../advi.opt file.dvi

TEXFILES= simple.tex moderate.tex 

ADVIDIR=../..

RM=/bin/rm -f

LATEX=TEXINPUTS=.:$(ADVIDIR)/tex:$(TEXINPUTS): latex
PLATEX=TEXINPUTS=.:$(ADVIDIR)/tex:$(TEXINPUTS): platex

DVIFILES= $(TEXFILES:.tex=.dvi)
ADVI=TEXPSHEADERS=$(ADVIDIR)/tex: $(ADVIDIR)/advi

MLPROG=

all: $(DVIFILES) 

show: $(DVIFILES) 
	advi simple.dvi && \
	advi moderate.dvi 

dvi : $(DVIFILES) $(MLPROG)

$(DVIFILES): $(ADVIDIR)/tex/bar.eps $(ADVIDIR)/tex/advi.sty $(ADVIDIR)/tex/advi-annot.sty 

.dvi.advi:
	$(ADVI) $<

.tex.dvi:
	$(LATEX) $<

clean:
	$(RM) a.out *.aux *.log *.dvi *~ 
	$(RM) $(MLPROG) *.cmi *.cmo
	$(RM) .advi/*

.SUFFIXES: .tex .sty .dvi .eps .advi

=== examples/prosper/Makefile ===
#*********************************************************************#
#                                                                     #
#                             Active-DVI                              #
#                                                                     #
#                   Projet Cristal, INRIA Rocquencourt                #
#                                                                     #
#  Copyright 2003 Institut National de Recherche en Informatique et   #
#  en Automatique.  All rights reserved.  This file is distributed    #
#  under the terms of the GNU Lesser General Public License.          #
#                                                                     #
#  Jun Furuse, Didier Rmy and Pierre Weis.                           #
#  Contributions by Roberto Di Cosmo, Didier Le Botlan,               #
#  Xavier Leroy, and Alan Schmitt.                                    #
#                                                                     #
# Pierre Weis                                                         #
#                                                                     #
#*********************************************************************#

# The Makefile for the prosper examples.

# $Id$

# To view the demos, use ../advi.opt file.dvi

SUBDIRS=Join LL

all:
	for i in $(SUBDIRS); do \
	  cd $$i; $(MAKE) all; cd ..; \
	done

show:
	for i in $(SUBDIRS); do \
	  cd $$i; $(MAKE) show; cd ..; \
	done

clean:
	$(RM) a.out *.aux *.log *.dvi *~ 
	for i in $(SUBDIRS); do \
	  cd $$i; $(MAKE) clean; cd ..; \
	done

=== examples/seminar/Makefile ===
#*********************************************************************#
#                                                                     #
#                             Active-DVI                              #
#                                                                     #
#                   Projet Cristal, INRIA Rocquencourt                #
#                                                                     #
#  Copyright 2003 Institut National de Recherche en Informatique et   #
#  en Automatique.  All rights reserved.  This file is distributed    #
#  under the terms of the GNU Lesser General Public License.          #
#                                                                     #
#  Jun Furuse, Didier Rmy and Pierre Weis.                           #
#  Contributions by Roberto Di Cosmo, Didier Le Botlan,               #
#  Xavier Leroy, and Alan Schmitt.                                    #
#                                                                     #
# Pierre Weis                                                         #
#                                                                     #
#*********************************************************************#

# The Makefile for the seminar examples.

# $Id$

# To view the demos, use ../advi.opt file.dvi

SUBDIRS=clock a14

all:
	for i in $(SUBDIRS); do \
	  cd $$i; $(MAKE) all; cd ..; \
	done

show:
	for i in $(SUBDIRS); do \
	  cd $$i; $(MAKE) show; cd ..; \
	done

clean:
	$(RM) a.out *.aux *.log *.dvi *~ 
	for i in $(SUBDIRS); do \
	  cd $$i; $(MAKE) clean; cd ..; \
	done

=== examples/slitex/Makefile ===
#*********************************************************************#
#                                                                     #
#                             Active-DVI                              #
#                                                                     #
#                   Projet Cristal, INRIA Rocquencourt                #
#                                                                     #
#  Copyright 2003 Institut National de Recherche en Informatique et   #
#  en Automatique.  All rights reserved.  This file is distributed    #
#  under the terms of the GNU Lesser General Public License.          #
#                                                                     #
#  Jun Furuse, Didier Rmy and Pierre Weis.                           #
#  Contributions by Roberto Di Cosmo, Didier Le Botlan,               #
#  Xavier Leroy, and Alan Schmitt.                                    #
#                                                                     #
# Pierre Weis                                                         #
#                                                                     #
#*********************************************************************#

# The Makefile for the slitex sub-directory examples.

# $Id$

# To view the demos, use ../../advi.opt file.dvi

SUBDIRS=advi caml simplistic skin_detection

all:
	for i in $(SUBDIRS); do \
	  if test -d $$i; then \
	    cd $$i; $(MAKE) all; cd ..; \
	  fi; \
	done

show:
	for i in $(SUBDIRS); do \
	  if test -d $$i; then \
	    cd $$i; $(MAKE) show; cd ..; \
	  fi; \
	done

clean:
	$(RM) a.out *.aux *.log *.dvi *~ 
	for i in $(SUBDIRS); do \
	  if test -d $$i; then \
	    cd $$i; $(MAKE) clean; cd ..; \
	  fi; \
	done

=== debian/changelog ===
advi (2.0.0-4build1) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Oct 2025 20:51:49 +0100

advi (2.0.0-4) unstable; urgency=medium

  * Use FORCE_SOURCE_DATE for dvips reproducibility

 -- Stéphane Glondu <glondu@debian.org>  Mon, 26 Aug 2024 02:54:13 +0200

advi (2.0.0-3) unstable; urgency=medium

  * Use SOURCE_DATE_EPOCH to set the date in manual

 -- Stéphane Glondu <glondu@debian.org>  Sun, 25 Aug 2024 06:37:01 +0200

advi (2.0.0-2) unstable; urgency=medium

  * Use SOURCE_DATE_EPOCH for reproducibility

 -- Stéphane Glondu <glondu@debian.org>  Sat, 24 Aug 2024 06:51:17 +0200

advi (2.0.0-1) unstable; urgency=medium

  * New upstream release
  * Fix compilation with OCaml 5.2.0
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Sat, 10 Aug 2024 05:18:27 +0200

advi (1.10.2-10) unstable; urgency=medium

  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Sep 2023 07:51:10 +0200

advi (1.10.2-9) unstable; urgency=medium

  * Add libgraphics-ocaml-dev to Build-Depends, fix its detection by
    configure script

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Oct 2020 11:15:03 +0200

advi (1.10.2-8) unstable; urgency=medium

  * Fix compilation with camlimages 5.0.3

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Aug 2020 10:40:44 +0200

advi (1.10.2-7) unstable; urgency=medium

  * Add empty override_dh_dwz to prevent FTBFS (Closes: #968225)
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Tue, 11 Aug 2020 09:49:06 +0200

advi (1.10.2-6) unstable; urgency=medium

  * Add build-dependency texlive-extra-utils (closes: #951922)
  * Build-depend on debhelper-compat, drop file debian/compat
  * Debhelper compatibility level 12
  * Rename debian/TODO.Debian to debian/TODO
  * Standards-Version 4.5.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Sun, 23 Feb 2020 22:03:49 +0100

advi (1.10.2-5) unstable; urgency=medium

  * Fix compilation with OCaml 4.08.0
  * Remove Samuel from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Thu, 05 Sep 2019 13:36:53 +0200

advi (1.10.2-4) unstable; urgency=medium

  * Update Vcs-* to salsa
  * Standards-Version 4.3.0
    - d/copyright: https in format header
  * patch examples-scripts: fix spelling error in description
  * Debhelper compatibility level 11
    - d/rules: override dh_autoreconf
  * Remove trailing whitespace in this file.
  * d/copyright: change pointer to complete license from LGPL to LGPL-2.1

 -- Ralf Treinen <treinen@debian.org>  Fri, 25 Jan 2019 08:09:34 +0100

advi (1.10.2-3) unstable; urgency=low

  [Rémi Vanicat]
  * removing myself from uploaders

  [Ralf Treinen]
  * patch safe: make Safer mode the default (closes: #583994)
  * advi-examples: drop spurious Suggests tk4.8 et mpg321
  * Standards-Version 3.9.8 (no change)
  * advi-examples: drop Conflicts: advi (<< 1.6.0-4) since that version is
    more than 10 years old.
  * advi: drop "Replaces: activedvi,mldvi" since these are previous names
    of this package last used in 2002, resp. 2001.
  * advi: don't create empty directory usr/share/lintian/overrides/
  * d/control: fix Vcs-* fields, use secure URI
  * patch drop-build-date: make build reproducible (closes: #834137)
  * debhelper compat version 9
  * fix a spelling error in debian/README.

 -- Ralf Treinen <treinen@debian.org>  Mon, 23 Jan 2017 21:23:56 +0100

=== debian/control ===
Source: advi
Section: tex
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-ocaml (>= 2),
 ocaml,
 ocaml-dune,
 libgraphics-ocaml-dev,
 libcamlimages-ocaml-dev (>= 1:5.0.3),
 tex-common,
 latexmk,
 texlive-binaries,
 texlive-latex-base,
 texlive-extra-utils,
 texlive-pstricks,
 texlive-latex-recommended,
 texlive-latex-extra,
 texlive-lang-french,
 texlive-pictures,
 hevea,
 x11proto-core-dev,
 libx11-dev,
 libxinerama-dev,
 zlib1g-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/ocaml-team/advi.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/advi
Homepage: http://advi.inria.fr/

Package: advi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${ocaml:Depends},
 texlive-base-bin, texlive-base, ghostscript-x (>= 7.05), perl
Suggests: fonts-ipafont-gothic | fonts-japanese-gothic,
 fonts-ipafont-mincho | fonts-japanese-mincho,
 bzip2
Description: active DVI previewer and presenter
 Active-DVI is a DVI previewer and presenter written in Objective Caml
 with some eye candy effects for presentation, support for interactive
 demonstrations, and embedding of arbitrary applications within the
 presentation (hence the Active adjective of the presenter :).
 .
 Active-DVI does not (yet) support postscript fonts (see the README.Debian for
 more details).
 .
 Active-DVI also has the ability to run embedded commands, which may cause
 security problems when viewing untrusted DVI files. Make sure to read the
 README.Debian for more information.

Package: advi-examples
Architecture: all
Depends: ${misc:Depends}, texlive-latex-base, advi, imagemagick
Suggests: fonts-ipafont-gothic | fonts-japanese-gothic,
 fonts-ipafont-mincho | fonts-japanese-mincho,
 ocaml-base, xterm
Description: example presentations for Active-DVI (advi)
 Active-DVI is a DVI previewer and presenter written in Objective Caml
 with some eye candy effects for presentation, support for interactive
 demonstrations, and embedding of arbitrary applications within the
 presentation (hence the Active adjective of the presenter :).
 .
 This package contains example presentations for Active-DVI.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

# For dvips reproducibility
# See https://tests.reproducible-builds.org/debian/issues/unstable/timestamps_in_ps_generated_by_dvips_issue.html
export FORCE_SOURCE_DATE=1

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

override_dh_autoreconf:

execute_after_dh_auto_build:
	$(MAKE) doc.manual

## advi jax-0.0.1

=== requirements.txt ===
tensorflow_probability
distrax
jaxlib
jax
numpy
setuptools_scm[toml]

setuptools_scm_git_archive
